Qyra
ReferenceProjects

Preview data timezone

Preview how the warehouse disambiguates "now" under a data timezone

POST/api/v1/projects/preview-data-timezone

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "credentials": {
    "sshTunnelPrivateKey": "string",
    "sshTunnelPublicKey": "string",
    "sshTunnelUser": "string",
    "sshTunnelPort": 0,
    "sshTunnelHost": "string",
    "useSshTunnel": true,
    "awsSsoRoleName": "string",
    "awsSsoAccountId": "string",
    "awsSsoRegion": "string",
    "awsSsoStartUrl": "string",
    "assumeRoleExternalId": "string",
    "assumeRoleArn": "string",
    "sessionToken": "string",
    "secretAccessKey": "string",
    "accessKeyId": "string",
    "dbGroups": [
      "string"
    ],
    "autoCreate": true,
    "workgroupName": "string",
    "clusterIdentifier": "string",
    "isServerless": true,
    "region": "string",
    "authenticationType": "password",
    "timeoutSeconds": 0,
    "dataTimezone": "string",
    "startOfWeek": {},
    "ra3Node": true,
    "sslmode": "string",
    "keepalivesIdle": 0,
    "threads": 0,
    "schema": "string",
    "dbname": "string",
    "port": 0,
    "requireUserCredentials": true,
    "password": "string",
    "user": "string",
    "host": "string",
    "type": "redshift"
  },
  "mode": "create"
}

Responses

200 — Success

{
  "results": {
    "aware": {
      "rendered": "string",
      "raw": "string"
    },
    "naive": {
      "rendered": "string",
      "readAs": "string",
      "raw": "string",
      "interpretedAs": "string"
    },
    "dataTimezoneApplies": true,
    "projectTimezone": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}